Generation Framework

## org.eclipse.gmf.gmfgraph.impl
Class SVGFigureImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.gmfgraph.impl.AbstractFigureImpl
                      org.eclipse.gmf.gmfgraph.impl.RealFigureImpl
                          org.eclipse.gmf.gmfgraph.impl.SVGFigureImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, AbstractFigure, Figure, Layoutable, RealFigure, SVGFigure

    public class SVGFigureImpl

extends RealFigureImpl
implements SVGFigure

An implementation of the model object 'SVG Figure'.

The following features are implemented:

- `Document URI`
- `Properties`
- `Area Of Interest`
- `No Canvas Width`
- `No Canvas Height`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected Rectangle2D` `areaOfInterest` The cached value of the '`Area Of Interest`' containment reference
`protected static java.lang.String` `DOCUMENT_URI_EDEFAULT` The default value of the '`Document URI`' attribute
`protected java.lang.String` `documentURI` The cached value of the '`Document URI`' attribute
`protected static boolean` `NO_CANVAS_HEIGHT_EDEFAULT` The default value of the '`No Canvas Height`' attribute
`protected static boolean` `NO_CANVAS_WIDTH_EDEFAULT` The default value of the '`No Canvas Width`' attribute
`protected boolean` `noCanvasHeight` The cached value of the '`No Canvas Height`' attribute
`protected boolean` `noCanvasWidth` The cached value of the '`No Canvas Width`' attribute
`protected org.eclipse.emf.common.util.EList<SVGProperty>` `properties` The cached value of the '`Properties`' containment reference list

Fields inherited from class org.eclipse.gmf.gmfgraph.impl.RealFigureImpl
`children, name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.gmf.gmfgraph.impl.AbstractFigureImpl
`backgroundColor, border, font, foregroundColor, insets, layout, layoutData, location, maximumSize, minimumSize, preferredSize, size`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `SVGFigureImpl()`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` `basicSetAreaOfInterest(Rectangle2D newAreaOfInterest, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`Rectangle2D` `getAreaOfInterest()`
`java.lang.String` `getDocumentURI()`
`org.eclipse.emf.common.util.EList<SVGProperty>` `getProperties()`
`boolean` `isNoCanvasHeight()`
`boolean` `isNoCanvasWidth()`
`void` `setAreaOfInterest(Rectangle2D newAreaOfInterest)`
`void` `setDocumentURI(java.lang.String newDocumentURI)`
`void` `setNoCanvasHeight(boolean newNoCanvasHeight)`
`void` `setNoCanvasWidth(boolean newNoCanvasWidth)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.gmf.gmfgraph.impl.RealFigureImpl
`getChildren, getName, setName`

Methods inherited from class org.eclipse.gmf.gmfgraph.impl.AbstractFigureImpl

`basicSetBackgroundColor, basicSetBorder, basicSetFont, basicSetForegroundColor, basicSetInsets, basicSetLayout, basicSetLayoutData, basicSetLocation, basicSetMaximumSize, basicSetMinimumSize, basicSetPreferredSize, basicSetSize, eInverseAdd, getBackgroundColor, getBorder, getDescriptor, getFont, getForegroundColor, getInsets, getLayout, getLayoutData, getLocation, getMaximumSize, getMinimumSize, getPreferredSize, getSize, setBackgroundColor, setBorder, setFont, setForegroundColor, setInsets, setLayout, setLayoutData, setLocation, setMaximumSize, setMinimumSize, setPreferredSize, setSize`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.gmfgraph.RealFigure
`getChildren, getName, setName`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Figure
`getBackgroundColor, getBorder, getDescriptor, getFont, getForegroundColor, getInsets, getLocation, getMaximumSize, getMinimumSize, getPreferredSize, getSize, setBackgroundColor, setBorder, setFont, setForegroundColor, setInsets, setLocation, setMaximumSize, setMinimumSize, setPreferredSize, setSize`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Layoutable
`getLayout, getLayoutData, setLayout, setLayoutData`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### DOCUMENT_URI_EDEFAULT

    protected static final java.lang.String DOCUMENT_URI_EDEFAULT

  The default value of the '`Document URI`' attribute.

  See Also:
    `getDocumentURI()`
  ** Generated **
  Ordered:

### documentURI

    protected java.lang.String documentURI

  The cached value of the '`Document URI`' attribute.

  See Also:
    `getDocumentURI()`
  ** Generated **
  Ordered:

### properties

    protected org.eclipse.emf.common.util.EList<SVGProperty> properties

  The cached value of the '`Properties`' containment reference list.

  See Also:
    `getProperties()`
  ** Generated **
  Ordered:

### areaOfInterest

    protected Rectangle2D areaOfInterest

  The cached value of the '`Area Of Interest`' containment reference.

  See Also:
    `getAreaOfInterest()`
  ** Generated **
  Ordered:

### NO_CANVAS_WIDTH_EDEFAULT

    protected static final boolean NO_CANVAS_WIDTH_EDEFAULT

  The default value of the '`No Canvas Width`' attribute.

  See Also:
    `isNoCanvasWidth()`, Constant Field Values
  ** Generated **
  Ordered:

### noCanvasWidth

    protected boolean noCanvasWidth

  The cached value of the '`No Canvas Width`' attribute.

  See Also:
    `isNoCanvasWidth()`
  ** Generated **
  Ordered:

### NO_CANVAS_HEIGHT_EDEFAULT

    protected static final boolean NO_CANVAS_HEIGHT_EDEFAULT

  The default value of the '`No Canvas Height`' attribute.

  See Also:
    `isNoCanvasHeight()`, Constant Field Values
  ** Generated **
  Ordered:

### noCanvasHeight

    protected boolean noCanvasHeight

  The cached value of the '`No Canvas Height`' attribute.

  See Also:
    `isNoCanvasHeight()`
  ** Generated **
  Ordered:

Constructor Detail

### SVGFigureImpl

    protected SVGFigureImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `RealFigureImpl`
  ** Generated **

### getDocumentURI

    public java.lang.String getDocumentURI()

  Specified by:
    `getDocumentURI` in interface `SVGFigure`
  Returns:
    the value of the 'Document URI' attribute.
  See Also:
    `SVGFigure.setDocumentURI(String)`, `GMFGraphPackage.getSVGFigure_DocumentURI()`
  ** Generated **

### setDocumentURI

    public void setDocumentURI(java.lang.String newDocumentURI)

  Specified by:
    `setDocumentURI` in interface `SVGFigure`
  Parameters:
    `newDocumentURI` - the new value of the 'Document URI' attribute.
  See Also:
    `SVGFigure.getDocumentURI()`
  ** Generated **

### getProperties

    public org.eclipse.emf.common.util.EList<SVGProperty> getProperties()

  Specified by:
    `getProperties` in interface `SVGFigure`
  Returns:
    the value of the 'Properties' containment reference list.
  See Also:
    `GMFGraphPackage.getSVGFigure_Properties()`
  ** Generated **

### getAreaOfInterest

    public Rectangle2D getAreaOfInterest()

  Specified by:
    `getAreaOfInterest` in interface `SVGFigure`
  Returns:
    the value of the 'Area Of Interest' containment reference.
  See Also:
    `SVGFigure.setAreaOfInterest(Rectangle2D)`, `GMFGraphPackage.getSVGFigure_AreaOfInterest()`
  ** Generated **

### basicSetAreaOfInterest

    public org.eclipse.emf.common.notify.NotificationChain basicSetAreaOfInterest(Rectangle2D newAreaOfInterest,
                                                                                  org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setAreaOfInterest

    public void setAreaOfInterest(Rectangle2D newAreaOfInterest)

  Specified by:
    `setAreaOfInterest` in interface `SVGFigure`
  Parameters:
    `newAreaOfInterest` - the new value of the 'Area Of Interest' containment reference.
  See Also:
    `SVGFigure.getAreaOfInterest()`
  ** Generated **

### isNoCanvasWidth

    public boolean isNoCanvasWidth()

  Specified by:
    `isNoCanvasWidth` in interface `SVGFigure`
  Returns:
    the value of the 'No Canvas Width' attribute.
  See Also:
    `SVGFigure.setNoCanvasWidth(boolean)`, `GMFGraphPackage.getSVGFigure_NoCanvasWidth()`
  ** Generated **

### setNoCanvasWidth

    public void setNoCanvasWidth(boolean newNoCanvasWidth)

  Specified by:
    `setNoCanvasWidth` in interface `SVGFigure`
  Parameters:
    `newNoCanvasWidth` - the new value of the 'No Canvas Width' attribute.
  See Also:
    `SVGFigure.isNoCanvasWidth()`
  ** Generated **

### isNoCanvasHeight

    public boolean isNoCanvasHeight()

  Specified by:
    `isNoCanvasHeight` in interface `SVGFigure`
  Returns:
    the value of the 'No Canvas Height' attribute.
  See Also:
    `SVGFigure.setNoCanvasHeight(boolean)`, `GMFGraphPackage.getSVGFigure_NoCanvasHeight()`
  ** Generated **

### setNoCanvasHeight

    public void setNoCanvasHeight(boolean newNoCanvasHeight)

  Specified by:
    `setNoCanvasHeight` in interface `SVGFigure`
  Parameters:
    `newNoCanvasHeight` - the new value of the 'No Canvas Height' attribute.
  See Also:
    `SVGFigure.isNoCanvasHeight()`
  ** Generated **

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `RealFigureImpl`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `RealFigureImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `RealFigureImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `RealFigureImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `RealFigureImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `RealFigureImpl`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.